//******************************************************************************
// file tim_note.cpp
#include <libce.h>
// caratteri per le 7 note
const natb tasto[] = { 'q', 'w', 'e', 'r', 't', 'y', 'u' };
// costanti per le 7 note
const natw ctr[] = { 4548, 4052, 3610, 3408, 3036, 2704, 2410 };

natw cost(natb t)
{
	natw c = 0;
	for (int i = 0; i < 7; i++)
		if (tasto[i] == t) {
			c = ctr[i];
			break;
		}
	return c;
}

extern "C" void nota(natw cc);
int main()
{
	for (;;) {
		natb t = char_read();
		if (t == 0x1B) // carattere ASCII esc
			break;
		natw c = cost(t);
		if (c != 0)
			nota(c);
	}
	return 0;
}
//******************************************************************************
